> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mavapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet details

> Returns the wallet details for a given wallet ID or all wallets



## OpenAPI

````yaml get /wallet
openapi: 3.0.1
info:
  title: Mavapay API
  description: API documentation for Mavapay
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Mavapay
    url: https://mavapay.co
    email: info@mavapay.co
servers:
  - url: https://staging.api.mavapay.co/api/v1
    description: Staging server
  - url: https://api.mavapay.co/api/v1
    description: Live server
security:
  - ApiKeyAuth: []
    bearerAuth: []
tags:
  - name: Price
    description: Price related endpoints
  - name: Payment Link
    description: Payment Link endpoints for creating and managing hosted payment pages
paths:
  /wallet:
    get:
      tags:
        - Wallet
      summary: Get wallet details
      description: Returns the wallet details for a given wallet ID or all wallets
      operationId: getWallet
      parameters:
        - name: walletId
          in: query
          description: The wallet ID to get the details for (optional)
          schema:
            type: string
            format: uuid
          required: false
        - name: currency
          in: query
          description: The currency to get the details for (optional)
          schema:
            type: string
            enum:
              - NGN
              - KES
              - BTC
              - USD
          required: false
      responses:
        '200':
          description: Wallet response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    format: string
                    example: ok
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Wallet'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - bearerAuth: []
components:
  schemas:
    Wallet:
      type: object
      properties:
        id:
          type: string
          format: string
          example: d1614a76-9c7f-4111-98a7-43199f307e5b
          description: The unique identifier for the wallet
        accountId:
          type: string
          format: uuid
          example: d1614a76-9c7f-4111-98a7-43199f307e5b
          description: The unique identifier for the account related to the wallet
        currency:
          type: string
          format: string
          enum:
            - NGN
            - KES
            - BTC
            - ZAR
            - GHS
        balance:
          type: number
          format: number
          example: 1000
          description: The balance of the wallet in its lowest denomination
    Error:
      required:
        - error
        - message
      type: object
      properties:
        status:
          type: string
          format: string
          example: error
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    bearerAuth:
      type: http
      scheme: bearer

````